Ruby: __attribute__ Union Reference

Ruby 3.4.3p32 (2025-04-14 revision d0b7e5b6a04bde21ca483d20a1546b28b401c2d4)

Data Fields
__attribute__ Union Reference

## Data Fields
VALUE(* | anyargs )(ANYARGS)
VALUE(* | f00 )(VALUE)
VALUE(* | f01 )(VALUE, VALUE)
VALUE(* | f02 )(VALUE, VALUE, VALUE)
VALUE(* | f03 )(VALUE, VALUE, VALUE, VALUE)
VALUE(* | f04 )(VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f05 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f06 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f07 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f08 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f09 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f10 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f11 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f12 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f13 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f14 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | f15 )(VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)
VALUE(* | fm1 )(int, union { VALUE *x;const VALUE *y;} __attribute__((__transparent_union__)), VALUE)

## Detailed Description

Definition at line 2285 of file vm_insnhelper.c.

## Field Documentation

## ◆ anyargs

VALUE(* __attribute__::anyargs) (ANYARGS)

Definition at line 2286 of file vm_insnhelper.c.

## ◆ f00

VALUE(* __attribute__::f00) (VALUE)

Definition at line 2287 of file vm_insnhelper.c.

## ◆ f01

VALUE(* __attribute__::f01) (VALUE, VALUE)

Definition at line 2288 of file vm_insnhelper.c.

## ◆ f02

VALUE(* __attribute__::f02) (VALUE, VALUE, VALUE)

Definition at line 2289 of file vm_insnhelper.c.

## ◆ f03

VALUE(* __attribute__::f03) (VALUE, VALUE, VALUE, VALUE)

Definition at line 2290 of file vm_insnhelper.c.

## ◆ f04

VALUE(* __attribute__::f04) (VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2291 of file vm_insnhelper.c.

## ◆ f05

VALUE(* __attribute__::f05) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2292 of file vm_insnhelper.c.

## ◆ f06

VALUE(* __attribute__::f06) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2293 of file vm_insnhelper.c.

## ◆ f07

VALUE(* __attribute__::f07) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2294 of file vm_insnhelper.c.

## ◆ f08

VALUE(* __attribute__::f08) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2295 of file vm_insnhelper.c.

## ◆ f09

VALUE(* __attribute__::f09) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2296 of file vm_insnhelper.c.

## ◆ f10

VALUE(* __attribute__::f10) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2297 of file vm_insnhelper.c.

## ◆ f11

VALUE(* __attribute__::f11) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2298 of file vm_insnhelper.c.

## ◆ f12

VALUE(* __attribute__::f12) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2299 of file vm_insnhelper.c.

## ◆ f13

VALUE(* __attribute__::f13) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2300 of file vm_insnhelper.c.

## ◆ f14

VALUE(* __attribute__::f14) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2301 of file vm_insnhelper.c.

## ◆ f15

VALUE(* __attribute__::f15) (VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE, VALUE)

Definition at line 2302 of file vm_insnhelper.c.

## ◆ fm1

VALUE(* __attribute__::fm1) (int, union { VALUE *x;const VALUE *y;} __attribute__((__transparent_union__)), VALUE)

Definition at line 2303 of file vm_insnhelper.c.

The documentation for this union was generated from the following file:

- vm_insnhelper.c